Loading...
Searching...
No Matches
odf.element.Childless Class Reference

Mixin that makes childless-ness easy to implement and avoids the complexity of the Node methods that deal with children. More...

Inheritance diagram for odf.element.Childless:
[legend]

## Public Member Functions

| appendChild (self, node)
| Raises an error.
| hasChildNodes (self)
| insertBefore (self, newChild, refChild)
| Raises an error.
| removeChild (self, oldChild)
| Raises an error.
| replaceChild (self, newChild, oldChild)
| Raises an error.

## Static Public Attributes

| attributes = None
| childNodes = EmptyNodeList()
| firstChild = None
| lastChild = None

## Protected Member Functions

| _get_firstChild (self)
| _get_lastChild (self)

## Detailed Description

Mixin that makes childless-ness easy to implement and avoids the complexity of the Node methods that deal with children.

Definition at line 290 of file element.py.

## Member Function Documentation

## _get_firstChild()

odf.element.Childless._get_firstChild | ( |  | self | ) |

protected

Definition at line 297 of file element.py.

## _get_lastChild()

odf.element.Childless._get_lastChild | ( |  | self | ) |

protected

Definition at line 300 of file element.py.

## appendChild()

odf.element.Childless.appendChild | ( |  | self,
|  |  | node
| ) |  |

Raises an error.

Definition at line 304 of file element.py.

Here is the caller graph for this function:

## hasChildNodes()

odf.element.Childless.hasChildNodes | ( |  | self | ) |

Definition at line 308 of file element.py.

## insertBefore()

odf.element.Childless.insertBefore | ( |  | self,
|  |  | newChild,
|  |  | refChild
| ) |  |

Raises an error.

Definition at line 312 of file element.py.

## removeChild()

odf.element.Childless.removeChild | ( |  | self,
|  |  | oldChild
| ) |  |

Raises an error.

Definition at line 317 of file element.py.

## replaceChild()

odf.element.Childless.replaceChild | ( |  | self,
|  |  | newChild,
|  |  | oldChild
| ) |  |

Raises an error.

Definition at line 322 of file element.py.

## Member Data Documentation

## attributes

odf.element.Childless.attributes = None

static

Definition at line 292 of file element.py.

## childNodes

odf.element.Childless.childNodes = EmptyNodeList()

static

Definition at line 293 of file element.py.

## firstChild

odf.element.Childless.firstChild = None

static

Definition at line 294 of file element.py.

## lastChild

odf.element.Childless.lastChild = None

static

Definition at line 295 of file element.py.

The documentation for this class was generated from the following file:

- odf/element.py